Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/29978/?format=api
{ "ob_id": 29978, "uuid": "47c32530265d4d6e8fdb6c08b2330371", "title": "Global Precipitation Measurements (GPM) Integrated Multi-satellitE Retrievals (IMERG) L3 Half Hourly 0.1 degree x 0.1 degree v6", "abstract": "This dataset contains Global Precipitation Measurements (GPM) Integrated Multi-satellitE Retrievals (IMERG) v6. The precipitation estimates from the various precipitation-relevant satellite passive microwave (PMW) sensors comprising the GPM constellation are computed using the 2017 version of the Goddard Profiling Algorithm (GPROF2017), then gridded, intercalibrated to the GPM Combined Ku Radar-Radiometer Algorithm (CORRA) product, and merged into half-hourly 0.1°x0.1° (roughly 10x10 km) fields. Level 3 data are averaged global gridded products, screened for bad data points\r\n\r\nThe Global Precipitation Measurement (GPM) mission is an international network of satellites that provide the next-generation global observations of rain and snow.", "keywords": "GPM, IMERG, precipitation, global, retrievals", "publicationState": "published", "dataPublishedTime": "2020-01-29T10:22:24", "doiPublishedTime": null, "updateFrequency": "unknown", "status": "ongoing", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/29979/?format=api", "dataPath": "/badc/gpm/data/GPM-IMERG-v6/", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 3999921915159, "numberOfFiles": 748059, "fileFormat": "Data are HDF5 formatted." }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/8155/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/529/?format=api", "nonGeographicFlag": false, "phenomena": [], "dataLineage": "Data taken as is from National Aeronautics and Space Administration (NASA). https://gpm1.gesdisc.eosdis.nasa.gov/data/GPM_L3/GPM_3IMERGHH.06/", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/26514/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/29993/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/129562/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/129559/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/129564/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/129565/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/129566/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/129567/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/129560/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/129563/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/129558/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/168798/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": null, "procedureComputation": "https://api.catalogue.ceda.ac.uk/api/v2/computations/29980/?format=api", "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2615/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "https://gpm.nasa.gov/data/policy", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }